org.tmatesoft.svn.core.wc2

## Class SvnChecksum

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnChecksum

    public class SvnChecksum
    extends java.lang.Object

Represents a checksum for SVN files.

Version:
  1.7
Author:
  TMate Software Ltd.

### Nested Class Summary

Nested Classes
`static class` `SvnChecksum.Kind` Describes the kind of used hash algorithm for computing the checksum.

### Constructor Summary

Constructors
Constructor and Description
`SvnChecksum(SvnChecksum.Kind kind, java.lang.String digest)` Constructs an SvnChecksum object with the specified parameters.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)`
`static SvnChecksum` `fromString(java.lang.String checksum)` Creates checksum object from `String`.
`java.lang.String` `getDigest()` Gets computed checksum value.
`SvnChecksum.Kind` `getKind()` Gets king of checksum.
`int` `hashCode()`
`void` `setDigest(java.lang.String digest)` Sets computed checksum value.
`void` `setKind(SvnChecksum.Kind kind)` Sets kind of checksum.
`java.lang.String` `toString()` Returns `String` representation of checksum.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SvnChecksum

    public SvnChecksum(SvnChecksum.Kind kind,
               java.lang.String digest)

Constructs an SvnChecksum object with the specified parameters.

Parameters:
  `kind` - kind of checksum
  `digest` - computed checksum value

### Method Detail

#### getKind

    public SvnChecksum.Kind getKind()

Gets king of checksum.

Returns:
  checksum kind

#### getDigest

    public java.lang.String getDigest()

Gets computed checksum value.

Returns:
  computed checksum value

#### setKind

    public void setKind(SvnChecksum.Kind kind)

Sets kind of checksum.

Parameters:
  `kind` - checksum kind

#### setDigest

    public void setDigest(java.lang.String digest)

Sets computed checksum value.

Parameters:
  `digest` - computed checksum value

#### toString

    public java.lang.String toString()

Returns `String` representation of checksum.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  `String` representation of checksum

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### fromString

    public static SvnChecksum fromString(java.lang.String checksum)
                                  throws SVNException

Creates checksum object from `String`.

Parameters:
  `checksum` - checksum represented in `String`
Throws:
  `SVNException`